use crate::{datastructs::RenderState, RenderInput};

use super::{radar::Radar, status::Status, UiElement};

pub struct UiManager {
	radar: Radar,
	status: Status,
}

impl UiManager {
	pub fn new() -> Self {
		Self {
			radar: Radar::new(),
			status: Status::new(),
		}
	}

	/// Draw all ui elements
	pub fn draw(&mut self, input: &RenderInput, state: &mut RenderState) {
		self.radar.draw(input, state);
		self.status.draw(input, state);
	}
}
